Opened 5 years ago

Closed 5 years ago

#12797 closed defect (fixed)

Onionoo only returns one of two matches from its search index

Reported by: karsten Owned by: karsten
Priority: Very High Milestone:
Component: Metrics/Onionoo Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

From out/summary:

{"t":true,"f":"1636F7D48B17C2A753F04D4A9420BE5766CB1C08","n":"ravenswood","ad":["50.9.47.238"],"cc":"us","as":"AS16586","fs":"2014-07-27 09:00:00","ls":"2014-07-30 02:00:00","rf":["Running","Valid"],"cw":20,"r":false}
{"t":true,"f":"FF8DC57988095FA795EB3AFD22EF1E89353165FB","n":"ravenswood","ad":["50.9.47.238"],"cc":"us","as":"AS16586","fs":"2014-08-04 03:00:00","ls":"2014-08-05 16:00:00","rf":["Running","Valid"],"cw":20,"r":true}

https://onionoo.torproject.org/summary?search=ravenswood

{"relays_published":"2014-08-03 11:00:00",
"relays":[
{"n":"ravenswood","f":"1636F7D48B17C2A753F04D4A9420BE5766CB1C08","a":["50.9.47.238"],"r":false}
],
"bridges_published":"2014-08-03 10:37:07",
"bridges":[
]}

Child Tickets

Change History (2)

comment:1 Changed 5 years ago by karsten

Priority: majorcritical

Looks like the node indexer thread died silently shortly after 2014-08-03 11:00:00.

These two log messages look related:

Aug 3, 2014 11:49:22 AM org.apache.catalina.startup.Catalina start
INFO: Server startup in 1542 ms
[...]
Aug 4, 2014 2:26:30 AM org.apache.tomcat.util.net.JIoEndpoint createWorkerThread
INFO: Maximum number of threads (150) created for connector with address null and port 8080

I restarted Tomcat which fixed the problem for now:

{"relays_published":"2014-08-05 17:00:00",
"relays":[
{"n":"ravenswood","f":"1636F7D48B17C2A753F04D4A9420BE5766CB1C08","a":["50.9.47.238"],"r":false},
{"n":"ravenswood","f":"FF8DC57988095FA795EB3AFD22EF1E89353165FB","a":["50.9.47.238"],"r":true}
],
"bridges_published":"2014-08-05 16:37:04",
"bridges":[
]}

I don't yet know how to prevent the node indexer thread from dying.

And I'm yet not certain why the servlet gave out stale data. It was supposed to return an internal server error when its data was 6 hours or older.

Ewwwww.

comment:2 Changed 5 years ago by karsten

Resolution: fixed
Status: newclosed

Turns out this was a problem with the internal document store, not the node indexer. Fixed in f749735. Closing.

Note: See TracTickets for help on using tickets.